Skip to navigation

Get all events

Retrieve a paginated list of API events. Events track changes to resources like transactions and accounts.

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Query parameters

limitlongOptional1-1000Defaults to 1000
start_afterstringOptionalformat: "uuid"
end_beforestringOptionalformat: "uuid"
orderenumOptionalDefaults to asc
Sort order. Can be 'asc' or 'desc'. Defaults to 'asc'
Allowed values:
resourceTypeenumOptional
resourceIdstringOptionalformat: "uuid"

Response

eventslist of objects
List of events in the current page
pageobject

Pagination information including cursors for navigating to next/previous pages

Errors

400
Bad Request Error